import { ISource } from '@aws-cdk/aws-s3-deployment';
import { BundlingOptions, DockerImage, ILocalBundling } from '@aws-cdk/core';
import { VueCliBuildProps } from './types';
export declare class VueCliBundling implements BundlingOptions {
    static bundling(options: VueCliBuildProps): ISource;
    private static runsLocally?;
    readonly image: DockerImage;
    readonly command?: string[] | undefined;
    readonly environment?: {
        [key: string]: string;
    } | {};
    readonly bundlingArguments?: string | '';
    readonly local?: ILocalBundling | undefined;
    constructor(props: VueCliBuildProps);
    private createDockerBundlingCommand;
    private createLocalBundlingCommand;
}
